1. KYB
BPN OpenAPI
  • Getting Started
    • Introduction to BPN
    • Key Concepts & Terminology
    • Architecture Overview
  • Onboarding & Prerequisites
    • Product Demo
    • Sandbox & Test Environment
    • Signature Authentication Mechanism
  • Use Case
    • Transfer
    • Vault
    • On/Off Ramp
    • Compliance (Travel Rule Information Submission)
    • Fiat Collection(BRL PIX for example)
    • BRL Pay-in Business Integration Guide
  • API Reference
    • KYB
      • Share KYB/KYC Info For Sub User
        POST
      • Get KYB Sub User Status
        GET
    • Account Management
      • Inquiry Master VA Balance
      • Create Virtaul Account
      • Get Virtual Account Detail
      • List Virtual Account
      • Send Email Verify Code
      • Query bank info by account number
      • Payout via Virtual Account
      • Refund Virtual Account Order
      • Get Virtual Account Order Detail
      • List Virtual Account Orders
      • Submit Invoice
      • Get Invoice list Status
      • List Banks
      • Add Bank Account
      • List Bank Account
      • List RFI Sub Virtual Account
      • Get Sub Virtual Account RFI Template Info
      • Sub Virtual Account Submit RFI
    • Wallet
      • List Wallets
      • List Sub Account
      • Create Sub Account
      • Wallet Internal Transfer
      • Query Wallet Internal Transfer Detail
      • List Wallet Internal Transfer order
      • Get Asset Balance
      • Get Deposit Address
      • Add Deposit Sender
      • Add Withdraw Whitelist
      • Delete Withdraw Whiltelist
      • Request Withdraw
      • Query Transaction History
    • FX
      • Inquery FX Rate
    • BPN Transactions
      • Get Stablecoin Quote
      • Create Stable Order
      • Get Order (Single) Detail
      • List Orders(Batch)
    • Reconciliation
      • Get Reconciliation Order List By Page
    • Crypto Payment Link
      • Abnormal fund
        • Abnormal funds
        • Matchable Payment links
        • Link Order(Abnormal fund)
        • Submit to platform
      • Create Payment Link
      • List Payment links
      • Get Curreny Network Config
    • External Provider
      • FE: Create stablecoin collection sub-account link
      • Create stablecoin collection sub-account link
      • Get sub wallet account
      • List sub wallet accounts
      • Change sub wallet status
      • Query stablecoin collection order list
      • Query stablecoin collection order status
      • Get quote
      • Accept stablecoin collection order
      • Reject stablecoin collection order
      • Query USD balance
      • USD Payout (withdrawal)
      • Query USD Payout order status
      • Query USD Payout order list
    • Mock
      • Mock Virtual account Payin Order
      • Mock wallet deposit transaction
    • Pay Session
      • Request Pay Session
  • Webhooks & Events
    • Resend Fail Webhook
      POST
    • Open Virtual Account Status
    • Virtual Account Payment Status
    • Virtual Account Invoice update
    • Transaction Status Notification
    • KYB Status Notification
    • Deposit Sender Detail Required
    • Abnormal Fund Notification
    • WALLET_TRANSFER_ORDER_UPDATED
    • Sub Virtual Account RFI Required
    • Sub Wallet Update
    • wallet address whitelist Copy
    • Crypto Deposit Order Notification
    • Collect Order Updated
    • Usd Payout Order Updated
  • Appendix
    • Enum
    • Virtual Account(VA) Support List & KYB requirement
  • Release Notes & Changelog
    • Version History
  • Schemas
    • walletBalance
    • walletAddress
    • transactionRecord
  1. KYB

Share KYB/KYC Info For Sub User

POST
/v1/kyb/share
Purpose:
To allow a business to securely share its corporate client's KYB (Know Your Business) or KYC (Know Your Customer) data with Damoon before initiating any transactions.
What this endpoint does:
Receives sub-user's KYB data from the business and stores it for compliance checks. This is the first step in onboarding a corporate client for any financial or crypto-fiat service.
Keynotes:
Must be completed before any transactions can be initiated.
requestId is used for traceability and auditing.
subUserId is your corporate user's ID assigned for traceability.

Request

Body Params application/json

Examples
{
    "jurisdiction": "AE",
    "companyName": "Binance FZE Trading LLC",
    "tradingName": "Binance FZE",
    "companyRegistrationNumber": "IC2021-987654",
    "legalEntityType": "Limited Liability Company",
    "businessEmailAddress": "compliance@binance-fze.example",
    "registeredOfficeAddress": "Level 14, One Central, Dubai World Trade Centre, Dubai, UAE",
    "businessAddress": "Unit 1203, DIFC Gate Avenue, Dubai, UAE",
    "dateOfIncorporation": "2021-03-15",
    "mainBusinessActivities": "Facility Management",
    "locationsOfBusinessOperations": "UAE, Nigeria, Mexico",
    "cryptoAddress": "0x8aB3cD49E0F1a2B3c4D5E6f7A8B9c0D1e2F3A4B5",
    "expectedMonthlyTradingVolume": "USD 5,000,000 - 10,000,000",
    "listOfUltimateBeneficialOwnersUboName": [
        "Alice Chen",
        "Michael Rivera"
    ],
    "listOfDirectorsName": [
        "Grace Liu",
        "David Patel",
        "Sofia Martins"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST '/v1/kyb/share' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jurisdiction": "AE",
    "companyName": "Binance FZE Trading LLC",
    "tradingName": "Binance FZE",
    "companyRegistrationNumber": "IC2021-987654",
    "legalEntityType": "Limited Liability Company",
    "businessEmailAddress": "compliance@binance-fze.example",
    "registeredOfficeAddress": "Level 14, One Central, Dubai World Trade Centre, Dubai, UAE",
    "businessAddress": "Unit 1203, DIFC Gate Avenue, Dubai, UAE",
    "dateOfIncorporation": "2021-03-15",
    "mainBusinessActivities": "Facility Management",
    "locationsOfBusinessOperations": "UAE, Nigeria, Mexico",
    "cryptoAddress": "0x8aB3cD49E0F1a2B3c4D5E6f7A8B9c0D1e2F3A4B5",
    "expectedMonthlyTradingVolume": "USD 5,000,000 - 10,000,000",
    "listOfUltimateBeneficialOwnersUboName": [
        "Alice Chen",
        "Michael Rivera"
    ],
    "listOfDirectorsName": [
        "Grace Liu",
        "David Patel",
        "Sofia Martins"
    ]
}'

Responses

🟢200OK
application/json
Body

Example
{
    "status": 200,
    "code": null,
    "msg": "OK",
    "traceId": "Auto:bf288b9af2e04dff88e943f2dcaf2b03",
    "data": {
        "success": "true",
        "subUserId": "202610001",
        "externalUserId": "user-001"
    }
}
Previous
BRL Pay-in Business Integration Guide
Next
Get KYB Sub User Status
Built with